﻿// --------------------------------------------------------------------------------------------------------------------
// Sistema Gestió Incidències Enllumenat Públic
// UOC. Treball de Fí de Carrera .NET
//
// Universitat Oberta de Catalunya, Gener 2012
// Toni Navarro Sánchez
// toninavarrosan@gmail.com
// --------------------------------------------------------------------------------------------------------------------

namespace TFC.PublicLighting.Contracts.DTOs
{
    using System;
    using System.Runtime.Serialization;

    /// <summary>
    /// Representa la informació d'un Usuari general.
    /// </summary>
    [DataContract]
    public class UsuariDTO
    {
        
        # region Properties

        /// <summary>
        /// Identificació de l'Usuari a la BBDD
        /// </summary>
        [DataMember]
        public int Id { get; set; }

        [DataMember]
        public string IdTipusUsuari { get; set; }

        [DataMember]
        public string Nom { get; set; }

        [DataMember]
        public string Cognom1 { get; set; }

        [DataMember]
        public string Cognom2 { get; set; }
        [DataMember]
        public string TipusDocId { get; set; }

        [DataMember]
        public string DocumentId { get; set; }

        [DataMember]
        public DateTime? DataNeixement { get; set; }

        [DataMember]
        public string Categoria { get; set; }

        [DataMember]
        public string Adreca { get; set; }

        [DataMember]
        public string Poblacio { get; set; }

        [DataMember]
        public string CodiPostal { get; set; }

        [DataMember]
        public string Provincia { get; set; }

        [DataMember]
        public string TelefonPrivat { get; set; }

        [DataMember]
        public string TelefonOficina { get; set; }

        [DataMember]
        public string MobilEmpresa { get; set; }

        [DataMember]
        public string Email { get; set; }

        [DataMember]
        public string Usuari { get; set; }

        [DataMember]
        public string Contrasenya { get; set; }

        [DataMember]
        public int Sector1 { get; set; }

        [DataMember]
        public int Sector2 { get; set; }

        [DataMember]
        public int Sector3 { get; set; }
        # endregion
    }
}