﻿// --------------------------------------------------------------------------------------------------------------------
// Sistema Gestió Incidències Enllumenat Públic
// UOC. Treball de Fí de Carrera .NET
//
// Universitat Oberta de Catalunya, Gener 2012
// Toni Navarro Sánchez
// toninavarrosan@gmail.com
// --------------------------------------------------------------------------------------------------------------------

namespace TFC.PublicLighting.Contracts.DTOs
{
    using System;
    using System.Runtime.Serialization;
    using System.Collections.Generic;

    /// <summary>
    /// Representa la Xarxa d'Enllumenat.
    /// </summary>
    [DataContract]
    public class XarxaEnllumenatDTO
    {
        /// <summary>
        /// Identificació de la Xarxa d'Enllumenat a la BBDD
        /// </summary>
        [DataMember]
        public int Id_xarxa { get; set; }

        [DataMember]
        public string Nom { get; set; }

        [DataMember]
        public string Poblacio { get; set; }

        [DataMember]
        public string Provincia { get; set; }

        [DataMember]
        public IList<int> SectorsXarxaList { get; set; } 
    }
}

