﻿// --------------------------------------------------------------------------------------------------------------------
// Sistema Gestió Incidències Enllumenat Públic
// UOC. Treball de Fí de Carrera .NET
//
// Universitat Oberta de Catalunya, Gener 2012
// Toni Navarro Sánchez
// toninavarrosan@gmail.com
// --------------------------------------------------------------------------------------------------------------------

namespace TFC.PublicLighting.Infraestructure
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Collections;
    using TFC.PublicLighting.Domain;

    public class SectorsRepository
    {
        #region Model Attributes
        private static PublicLightingEntities context;
        # endregion


        public List<sectorXarxa> GetAllSectors()
        {
            using (context = new PublicLightingEntities())
            {
                List<sectorXarxa> result = (from s in context.sectorXarxa
                                            orderby s.ordreVisualitzacio
                                            select s).ToList();

                return result;
            }
        }       
    }
}
