﻿// --------------------------------------------------------------------------------------------------------------------
// Sistema Gestió Incidències Enllumenat Públic
// UOC. Treball de Fí de Carrera .NET
//
// Universitat Oberta de Catalunya, Gener 2012
// Toni Navarro Sánchez
// toninavarrosan@gmail.com
// --------------------------------------------------------------------------------------------------------------------

namespace TFC.PublicLighting.PresentationWPH7
{
    using System;
    using System.Collections.Generic;
    using System.Windows;
    using Microsoft.Phone.Controls;
    using TFC.PublicLighting.PresentationWPH7.Cache;
    using TFC.PublicLighting.PresentationWPH7.WPhoneServiceReference;

    public partial class Page_IncidenciesList : PhoneApplicationPage
    {
        public Page_IncidenciesList()
        {
            InitializeComponent();
            this.Loaded += new RoutedEventHandler(Page_OrdreDetail_Loaded);
        }

        List<IncidenciaDTO> incidenciesList;
        void Page_OrdreDetail_Loaded(object sender, RoutedEventArgs e)
        {
            incidenciesList = CacheMain.SelectedOrdre.IncidenciesList;
            IncidenciesListBox.ItemsSource = incidenciesList;
        }
    }
}