﻿// --------------------------------------------------------------------------------------------------------------------
// Sistema Gestió Incidències Enllumenat Públic
// UOC. Treball de Fí de Carrera .NET
//
// Universitat Oberta de Catalunya, Gener 2012
// Toni Navarro Sánchez
// toninavarrosan@gmail.com
// --------------------------------------------------------------------------------------------------------------------

namespace TFC.PublicLighting.Services
{
    /// <summary>
    /// Totes les constants del sistema
    /// </summary>
    public static class Constants
    {
        /// <summary>
        /// Estat d'eliminació
        /// </summary>
        public static class DataState
        {
            public const string Created = "creat";
            public const string Removed = "eliminat";
            public const string Modified = "modificat";
        }

        /// <summary>
        /// Tipus d'usuari
        /// </summary>
        public static class UserType
        {
            public const string Admin = "Administrador";
            public const string Super = "Supervisor";
            public const string Tec = "Tecnic";
        }
    }
}
