﻿// --------------------------------------------------------------------------------------------------------------------
// Sistema Gestió Incidències Enllumenat Públic
// UOC. Treball de Fí de Carrera .NET
//
// Universitat Oberta de Catalunya, Gener 2012
// Toni Navarro Sánchez
// toninavarrosan@gmail.com
// --------------------------------------------------------------------------------------------------------------------

namespace TFC.PublicLighting.Services
{
    using TFC.PublicLighting.Contracts.DTOs;
    using TFC.PublicLighting.Domain;
    using TFC.PublicLighting.Infraestructure;
    using TFC.PublicLighting.Services.Mappers;

    public class LogginService
    {
        UsuarisRepository usuarisRepository = new UsuarisRepository();

        public UsuariDTO GetLoggedUser(string user, string password)
        {
            UsuariDTO loggedUserDTO = null;
            usuari loggedUser = usuarisRepository.GetLoggedUser(user, password);

            if (loggedUser != null)
            {
                loggedUserDTO = DTOMappers.UsuariToUsuariDTO(loggedUser);
            }
            
            return loggedUserDTO;
        }
    }
}
