﻿// --------------------------------------------------------------------------------------------------------------------
// Sistema Gestió Incidències Enllumenat Públic
// UOC. Treball de Fí de Carrera .NET
//
// Universitat Oberta de Catalunya, Gener 2012
// Toni Navarro Sánchez
// toninavarrosan@gmail.com
// --------------------------------------------------------------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using TFC.PublicLighting.Contracts.DTOs;
using TFC.PublicLighting.Domain;

namespace TFC.PublicLighting.Services.Mappers
{
    public static class EstatIncidenciaMapperExtensions
    {
        public static EstatIncidenciaDTO ToDTO(this estatIncidencia domainObject)
        {
            var estatIncidenciaDTO = new EstatIncidenciaDTO();

            if (domainObject != null)
            {
                estatIncidenciaDTO.Id = domainObject.id_estatIncidencia;
                estatIncidenciaDTO.Nom = domainObject.estat;
            }

            return estatIncidenciaDTO;
        }
    }
}
