﻿// --------------------------------------------------------------------------------------------------------------------
// Sistema Gestió Incidències Enllumenat Públic
// UOC. Treball de Fí de Carrera .NET
//
// Universitat Oberta de Catalunya, Gener 2012
// Toni Navarro Sánchez
// toninavarrosan@gmail.com
// --------------------------------------------------------------------------------------------------------------------

namespace TFC.PublicLighting.Contracts.DTOs
{
    using System;
    using System.Runtime.Serialization;

    /// <summary>
    /// Representa la informació d'un Element d'enllumenat.
    /// </summary>
    [DataContract]
    public class ElementDTO
    {
        /// <summary>
        /// Identificació de l'Element a la BBDD
        /// </summary>
        [DataMember]
        public int Id { get; set; }

        [DataMember]
        public string Matricula { get; set; }

        [DataMember]
        public int Id_tipusElement { get; set; }

        [DataMember]
        public string Fabricant { get; set; }

        [DataMember]
        public string Referencia { get; set; }

        [DataMember]
        public string Carrer { get; set; }

        [DataMember]
        public string NumeroAproximat { get; set; }

        [DataMember]
        public string CodiPostal { get; set; }

        [DataMember]
        public string PosicioLatitud { get; set; }

        [DataMember]
        public string PosicioLongitud { get; set; }

        [DataMember]
        public string NotesPosicio { get; set; }

        [DataMember]
        public int Id_sectorXarxa { get; set; }
    }
}
