﻿// --------------------------------------------------------------------------------------------------------------------
// Sistema Gestió Incidències Enllumenat Públic
// UOC. Treball de Fí de Carrera .NET
//
// Universitat Oberta de Catalunya, Gener 2012
// Toni Navarro Sánchez
// toninavarrosan@gmail.com
// --------------------------------------------------------------------------------------------------------------------

namespace TFC.PublicLighting.Contracts.DTOs
{
    using System;
    using System.Runtime.Serialization;

    /// <summary>
    /// Representa una Incidència.
    /// </summary>
    [DataContract]
    public class IncidenciaDTO
    {
        /// <summary>
        /// Identificació de la Incidència a la BBDD
        /// </summary>
        [DataMember]
        public int Id_incidencia { get; set; }

        [DataMember]
        public DateTime DataCreacio { get; set; }

        [DataMember]
        public int Id_tipusAvaria { get; set; }

        [DataMember]
        public TipusAvariaDTO Avaria { get; set; }

        [DataMember]
        public string Comentari { get; set; }

        [DataMember]
        public int Id_element { get; set; }

        [DataMember]
        public int Id_supervisor { get; set; } 
    }
}
