﻿// --------------------------------------------------------------------------------------------------------------------
// Sistema Gestió Incidències Enllumenat Públic
// UOC. Treball de Fí de Carrera .NET
//
// Universitat Oberta de Catalunya, Gener 2012
// Toni Navarro Sánchez
// toninavarrosan@gmail.com
// --------------------------------------------------------------------------------------------------------------------

namespace TFC.PublicLighting.PresentationWPH7.Cache
{
    using TFC.PublicLighting.PresentationWPH7.WPhoneServiceReference;
    using System.Collections.Generic;

    public static class CacheMain
    {
        public const string FileStorageName = "PublicLightingLocalStorage";
        
        public static int CurrentUserId { get; set; }
        public static List<OrdreDTO> OrdresList { get; set; }
        public static OrdreDTO SelectedOrdre { get; set; }

        public static void ClearCache()
        {
            OrdresList = null;
            SelectedOrdre = null;
        }
    }
}
