﻿// --------------------------------------------------------------------------------------------------------------------
// Sistema Gestió Incidències Enllumenat Públic
// UOC. Treball de Fí de Carrera .NET
//
// Universitat Oberta de Catalunya, Gener 2012
// Toni Navarro Sánchez
// toninavarrosan@gmail.com
// --------------------------------------------------------------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using TFC.PublicLighting.Domain;
using TFC.PublicLighting.Contracts.DTOs;

namespace TFC.PublicLighting.Services.Mappers
{
    public static class TipusAvariaMapperExtensions
    {
        public static TipusAvariaDTO ToDTO(this tipusAvaria domainObject)
        {
            var tipusAvariaDTO = new TipusAvariaDTO();

            if (domainObject != null)
            {
                tipusAvariaDTO.Id = domainObject.id_tipus_avaria;
                tipusAvariaDTO.Nom = domainObject.tipus;
            }

            return tipusAvariaDTO;
        }
    }
}
