﻿// --------------------------------------------------------------------------------------------------------------------
// Sistema Gestió Incidències Enllumenat Públic
// UOC. Treball de Fí de Carrera .NET
//
// Universitat Oberta de Catalunya, Gener 2012
// Toni Navarro Sánchez
// toninavarrosan@gmail.com
// --------------------------------------------------------------------------------------------------------------------

namespace TFC.PublicLighting.Services
{
    using System.Collections.Generic;
    using TFC.PublicLighting.Contracts.DTOs;
    using TFC.PublicLighting.Domain;
    using TFC.PublicLighting.Infraestructure;

    public class SectorsManagementService
    {
        SectorsRepository repository = new SectorsRepository();

        public List<SectorDTO> GetAllSectors()
        {
            List<SectorDTO> returnList = new List<SectorDTO>();

            List<sectorXarxa> result = repository.GetAllSectors();
            foreach (sectorXarxa e in result)
            {
                returnList.Add(new SectorDTO()
                {
                   IdSector = e.id_sectorXarxa,
                   NomBarri = e.nom_barri                   
                });
            }

            return returnList;
        }
    }
}